# GNUmakefile          Chapter: 2.8  Median Filter
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

# NOTE: This is the neighborhood version of the median algorithm,
#     and should be the one placed in the library.
#     Had to add depency for ../../shaped-pointset.h

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_
CLOSUREOBJS       = closure-median-nbhd.o

HEADERS = median.h
LOBJS   = 

SOURCES	= median.h median.c  \
	  median-gamma.h median-gamma.c \
	  test-median-nbhd.c \
	  closure-median-gamma.c  closure-median-nbhd.c
TESTS	= test-median-nbhd

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

median-gamma.srcs:	median-gamma.h median-gamma.c

closure-median-gamma.o:	closure-median-gamma.c median-gamma.srcs

median.srcs:	median.h median.c

closure-median-nbhd.o: closure-median-nbhd.c median.srcs closure-median-gamma.o

ifeq (${LIBTEST},)
test-median-nbhd.o:	test-median-nbhd.c  median.srcs  median-gamma.srcs

test-median-nbhd: test-median-nbhd.o
	${LINK.cc} -o $@ $@.o  ${LDLIBS}
	strip $@

else
test-median-nbhd.o:	test-median-nbhd.c

endif
